import io.netty.handler.codec.http.HttpMethod;

import java.lang.annotation.*;


@Target(ElementType.METHOD)
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface RequestHandlerFunction {


    RequestControllerManager.RequestMethodType requestType() default RequestControllerManager.RequestMethodType.GET;

    String requestUrl();

}
